var versionResults;
var requestUpdateInterval = 14400000;       // refresh every 4 hours (or on start up)
var internetLatency = 10000;
var refreshUpdateTimer;
var version = 3.3;                         // Remember to update the text file and gadget.xml!

function CheckForUpdate()
{
	try 
	{
	    if (versionResults == null ||
	        builder != null)
	    {
            versionResults = builder.LoadType(System.Gadget.path + "\\bin\\ac3StatusReader.dll", "AC3StatusReader.VersionChecker");
        }
        
        if (versionResults != null)
        {
            // kick off an read operation
            versionResults.ReadStatus();
        }
	}
	catch(e)
	{
		// Try again later
	}
	finally 
	{
	    if (versionResults == null)
	    {
		    refreshUpdateTimer = setTimeout(CheckForUpdate, requestUpdateInterval);
	    }
	    else
	    {
		    refreshUpdateTimer = setTimeout(ProcessVersionInformation, internetLatency);
	    }
 	}			
}

function ProcessVersionInformation() 
{
    if (versionResults.ReplyFound == true)
    {
        try 
        {
            var responseText = versionResults.Result;
            var lines = responseText.split("\n");
            
            // first line is the version number
            if (parseFloat(parseFloat(lines[0])) > version)
            {
                // there is a new version available show a link to the new download.
                // second line is the download link
                bannerAdd.innerHTML="<center><a href='" + lines[1] +"' style='color:DarkRed'>New Version Available!</a></center>";
            }
            else if (lines[2].length > 0 &&
                    lines[3].length > 0)
            {
                // The next two lines are text and a link. I'll use this to send news
                bannerAdd.innerHTML="<center><a href='" + lines[2] + "'>" + lines[3] + "</a></center>";
            }
        }
        catch (e)
        {
        }
        finally
        {
            refreshUpdateTimer = setTimeout(CheckForUpdate, requestUpdateInterval);
        }
    }
    else
    {
        refreshUpdateTimer = setTimeout(ProcessVersionInformation, internetLatency);
    }
}